### Name: lab.optimize
### Title: Optimize a Bivariate Graph Statistic Across a Set of Accessible
###   Permutations
### Aliases: lab.optimize lab.optimize.anneal lab.optimize.exhaustive
###   lab.optimize.gumbel lab.optimize.hillclimb lab.optimize.mc
### Keywords: optimize math graphs

### ** Examples

#Generate a random graph and copy it
g<-rgraph(10)
g2<-rmperm(g)  #Permute the copy randomly

#Seek the maximum correlation
lab.optimize(g,g2,gcor,seek="max",opt.method="anneal",freeze.time=50,
    prob.decay=0.9)

#These two don't do so well...
lab.optimize(g,g2,gcor,seek="max",opt.method="hillclimb")     
lab.optimize(g,g2,gcor,seek="max",opt.method="mc",draws=1000)




